html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  max-width: 100%;
}

:root {
  --color-light: #fff;
  --color-bg-light: #e9e9e9;
  --color-yellow-light: #f0bf5f;
  --color-yellow: #cc9933;
  --color-yellow-dark: #a47312;
  --color-grey-light: #999;
  --color-grey: #333;
  --color-dark: #000;
}

@font-face {
  font-family: 'Muller';
  src: local('Muller-Regular'),
    url('fonts/MullerRegular.woff2') format('woff2'),
    url('fonts/MullerRegular.woff') format('woff');
  font-display: swap;
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Muller';
  src: local('Muller-Medium'),
    url('fonts/MullerMedium.woff2') format('woff2'),
    url('fonts/MullerMedium.woff') format('woff');
  font-display: swap;
  font-weight: 500;
  font-style: normal;
}


@font-face {
  font-family: 'Muller';
  src: local('Muller-Bold'),
    url('fonts/MullerBold.woff2') format('woff2'),
    url('fonts/MullerBold.woff') format('woff');
  font-display: swap;
  font-weight: 700;
  font-style: normal;
}

body {
  min-width: 100%;
  font-family: 'Muller', sans-serif;
  background-color: #f1f1f1;
}

/* glob */
h1,
h2,
h3,
h4,
p,
ul,
figure {
  margin: 0;
}

ul {
  padding: 0;
  list-style: none;
}

.btn-reset {
  padding: 0;
  border: none;
  background-color: transparent;
  cursor: pointer;
}

.btn {
  padding: 13px 20px;
  border: 1px solid var(--color-yellow);
  border-radius: 10px;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  color: var(--color-yellow);
  transition: color .3s linear, background-color .3s linear;
}

.btn:focus,
.btn:hover {
  background-color: var(--color-yellow);
  color: var(--color-light);
}

.btn:active {
  border-color: var(--color-yellow-dark);
  background-color: var(--color-yellow-dark);
  color: var(--color-light);
}

.link {
  transition: color .3s linear;
}

.link:focus {
  outline-offset: 5px;
  outline: 1px solid var(--color-yellow);
  color: var(--color-yellow);
}

.link:hover {
  color: var(--color-yellow);
}

.link:active {
  color: var(--color-yellow-dark);
}

.flex {
  display: flex;
}

.container {
  width: 1170px;
  margin: 0 auto;
}

.section-offset:not(:last-child) {
  margin-bottom: 70px;
}

.section-title {
  padding-left: 40px;
  margin-bottom: 20px;
  font-weight: 400;
  font-size: 40px;
  line-height: 40px;
  color: var(--color-grey);
}

/* header */
.header {
  padding-top: 30px;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  color: #666;
}

.header__left-top {
  display: flex;
  align-items: center;
}

.header-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 30px;
}

.header-logo {
  margin-right: 40px;
}

.logo {
  border-radius: 15px;
}

.telephone-link {
  padding-top: 3px;
  font-weight: 500;
  font-size: 20px;
  line-height: 20px;
}

.login-link {
  padding: 8px 5px;
  padding-left: 35px;
  color: var(--color-yellow);
  background: url("../img/arrow.svg") no-repeat 6px 9px;
  transition: color .3s linear, background-image .3s linear;
}

.login-link:focus {
  background-image: url("../img/arrow.svg");
  outline: 1px solid var(--color-yellow);
}

.login-link:hover {
  color: var(--color-yellow-light);
  background-image: url("../img/light-arrow.svg");
}

.login-link:active {
  color: var(--color-yellow-dark);
  background-image: url("../img/arrow.svg");
}

.header-nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  border-radius: 15px;
  height: 70px;
  line-height: 72px;
  background-color: var(--color-light);
}

.header-list {
  display: flex;
  align-items: center;
  padding-left: 45px;
}

.header-list-item:not(:last-child) {
  margin-right: 45px;
}

.header-list-item-link {
  transition: color .3s linear;
}

.header-btn-container {
  margin-right: 45px;
}

.header-btn:not(:last-child) {
  margin-right: 40px;
}

/* offers */
.offer-wrap {
  display: flex;
  justify-content: space-between;
  color: var(--color-light);
}

.offer-left {
  display: flex;
  flex-direction: column;
  flex-basis: 50%;
  min-width: 573px;
  margin-right: 24px;
}

.offer-right {
  justify-content: flex-end;
  min-width: 573px;
}

.offer-article {
  position: relative;
  display: flex;
  flex-direction: column;
  padding: 40px 45px;
  border-radius: 15px;
  flex-grow: 1;
}

.offer-article:not(:last-child) {
  margin-bottom: 24px;
}

.offer-images {
  background-size: cover;
}

.offer-bg-image1 {
  background-image: linear-gradient(90deg,
      rgba(48, 64, 89, 0.84) -2.9%,
      rgba(53, 65, 83, 0) 65.7%), url("../img/offer-1.jpg");
}

.offer-bg-image2 {
  background-image: linear-gradient(90deg,
      rgba(48, 64, 89, 0.84) -2.9%,
      rgba(53, 65, 83, 0) 65.7%), url("../img/offer-2.jpg");
}

.offer-bg-image3 {
  background-image: url("../img/offer-3.jpg");
}

.offer-title {
  margin-bottom: 15px;
  margin-right: 108px;
  font-weight: 700;
  font-size: 40px;
  line-height: 40px;
}

.offer-right .offer-title {
  margin-right: 229px;
  font-size: 60px;
  line-height: 60px;
}

.offer-price {
  margin-bottom: 47px;
  font-weight: 400;
  font-size: 20px;
  line-height: 20px;
  opacity: 0.8;
}

.offer-right .offer-price {
  font-size: 30px;
  line-height: 30px;
}

.offer-btn-more {
  padding-right: 30px;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  color: var(--color-yellow-light);
  background: transparent url("../img/next.svg") no-repeat 92px;
}

.offer-btn-more:focus::after {
  content: "";
  position: absolute;
  top: -8px;
  right: -8px;
  bottom: -8px;
  left: -8px;
  border: 1px solid var(--color-yellow);
}

.offer-btn-more:active {
  color: var(--color-light);
}

/* about-us */
.about-us-text {
  margin-right: 282px;
  font-weight: 400;
  font-size: 16px;
  line-height: 200%;
  color: var(--color-dark);
}

/* services */
.services-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.services-item {
  position: relative;
  width: 573px;
  margin-bottom: 24px;
  border-radius: 15px;
  background-color: var(--color-light);
}

.service-images {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  height: 165px;
  overflow: hidden;
  background-size: cover;
}

.services-card-img1 {
  background-image: url("../img/service-1.jpg");
}

.services-card-img2 {
  background-image: url("../img/service-2.jpg");
}

.services-card-img3 {
  background-image: url("../img/service-3.jpg");
}

.services-card-img4 {
  background-image: url("../img/service-4.jpg");
}

.services-card-content {
  padding: 26px 126px 35px 45px;
}

.services-card-btn {
  padding-right: 18px;
  font-weight: 500;
  font-size: 20px;
  line-height: 200%;
  color: var(--color-yellow);
  background: transparent url("../img/next-service.svg") no-repeat 100%;
  transition: color .3s linear, background-color .3s linear;
}

.services-card-btn:focus::after {
  content: "";
  position: absolute;
  top: -8px;
  right: -8px;
  bottom: -8px;
  left: -8px;
  border: 1px solid var(--color-yellow);
}

.services-card-btn:hover {
  color: var(--color-yellow-light);
  background-image: url("../img/next.svg");
}

.services-card-btn:active {
  color: var(--color-yellow-dark);
}

.services-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 200%;
  color: var(--color-dark);
}

/* advantages */
.advantages-list {
  display: flex;
  flex-wrap: wrap;
}

.advantages-item {
  padding: 40px 42px 32px 45px;
  margin-right: 22px;
  margin-bottom: 22px;
  width: 276px;
  min-height: 276px;
  background-color: var(--color-light);
  border-radius: 15px;
}

.advantages-item:nth-child(4n) {
  margin-right: 0;
}

.advantages-images {
  margin-bottom: 10px;
  height: 70px;
  background-repeat: no-repeat;
}

.advantages-card-img1 {
  background-image: url("../img/bathtub.svg ");
}

.advantages-card-img2 {
  background-image: url("../img/hanger.svg");
}

.advantages-card-img3 {
  background-image: url("../img/heating.svg ");
}

.advantages-card-img4 {
  background-image: url("../img/hotel-key.svg ");
}

.advantages-card-img5 {
  background-image: url("../img/parking.svg");
}

.advantages-card-img6 {
  background-image: url("../img/reception.svg ");
}

.advantages-card-img7 {
  background-image: url("../img/security-box.svg");
}

.advantages-card-img8 {
  background-image: url("../img/swimming-pool.svg");
}

.advantages-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 200%;
  color: var(--color-dark);
}

/* accommodation */
.accommodation-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.accommodation-item {
  width: 374px;
  border-radius: 15px;
  overflow: hidden;
  font-size: 0;
  background-color: var(--color-light);
  margin-bottom: 24px;
  color: var(--color-grey-light);
}

.accommodation-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 45px;
  padding-top: 32px;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
}

.accommodation-price-wrapper {
  display: flex;
  justify-content: space-between;
  margin-bottom: 16px;
}

.font-price {
  margin-right: 10px;
  font-weight: 700;
  font-size: 20px;
  line-height: 20px;
  color: var(--color-dark);
}

.end-price-string {
  color: var(--color-dark);
}

.accommodation-card-title {
  margin-bottom: 16px;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  color: var(--color-dark);
}

.accommodation-card-country {
  margin-bottom: 20px;
}

.accommodation-card-btn {
  align-self: flex-start;
}

.accommodation-last {
  display: flex;
  align-items: flex-end;
  justify-content: center;
  background: url("../img/placement9.jpg") no-repeat;
}

.accommodation-text-more {
  position: relative;
  padding: 12px 18px;
  margin-bottom: 30px;
  font-weight: 500;
  font-size: 20px;
  line-height: 200%;
  color: var(--color-light);
  background: transparent url("../img/next-white.svg") no-repeat 100%;
}

.accommodation-text-more::after {
  content: "";
  position: absolute;
  top: -350px;
  right: -45px;
  bottom: -30px;
  left: -45px;
}

/* tour */
.container-tour .section-title {
  padding-left: 0;
}

.container-tour {
  padding: 45px;
  padding-left: 40px;
  border-radius: 15px;
  background-color: var(--color-bg-light);
}

.form-tour {
  display: flex;
  justify-content: space-between;
  padding: 31px 28px 32px;
  border-radius: 15px;
  background-color: var(--color-light);
  color: var(--color-dark);
}

.label-tour {
  display: flex;
  flex-direction: column;
  font-weight: 400;
  font-size: 12px;
  line-height: 12px;
}

.form-input,
.form-select {
  border: none;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
}

.form-select {
  width: 180px;
}

.form-input {
  width: 121px;
}

.form-select {
  background-repeat: no-repeat;
  background-position: calc(100% - 4px);
  background-image: url("../img/select-arrow.svg");
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  opacity: 1;
}

input[type=number] {
  border-bottom: 1px solid var(--color-bg-light);
}

.field-name {
  margin-bottom: 15px;
}

.tour-btn {
  padding-left: 30px;
  padding-right: 30px;
}

/* contacts */
.contacts-wrap {
  display: flex;
  justify-content: space-between;
  padding: 45px;
  border-radius: 15px;
  background-color: var(--color-light);
  color: var(--color-dark);
}

.contast-left {
  display: flex;
  flex-direction: column;
  width: 375px;
}

.contacts-top {
  margin-bottom: 45px;
}

.contast-right {
  width: 653px;
  height: 528px;
  border-radius: 10px;
  background: url("../img/contacts.jpg") no-repeat;
}

.contacts-text-wrap {
  display: flex;
  border-bottom: 1px solid var(--color-bg-light);
}

.contacts-text-wrap:not(:last-child) {
  margin-bottom: 25px;
}

.contacts-text-title {
  width: 0;
  margin-right: 145px;
  font-weight: 700;
  font-size: 20px;
  line-height: 20px;
}

.contacts-text {
  display: flex;
  flex-direction: column;
  padding-bottom: 23px;
  padding-right: 23px;
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
}

.contacts-text address {
  font-style: normal
}

.contacts-link {
  margin-right: auto;
  color: var(--color-yellow);
}

.contacts-link:focus {
  outline-offset: 2px;
}

.contacts-link:hover {
  color: var(--color-yellow-light);
}

.contacts-link:active {
  color: var(--color-yellow-dark);
}

.contacts-btn {
  width: 213px;
  height: 70px;
}

.for-questions {
  color: var(--color-grey-light);
}

/* footer */
.footer {
  padding-top: 40px;
  padding-bottom: 30px;
}

.footer a {
  color: var(--color-yellow);
}

.container-footer {
  display: flex;
  justify-content: flex-start;
  padding: 45px;
  min-height: 341px;
  border-radius: 15px;
  background: var(--color-grey) url("../img/footer-img.svg") no-repeat 80% 99%;
  color: var(--color-light);
}

.footer-list-left {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-right: 125px;
  height: 100%;
  width: 302px;
  font-weight: 400;
  font-size: 16px;
  line-height: 190%;
}

.footer-list-left .user-agreement {
  line-height: 150%;
}

.footer-center {
  margin-right: auto;
}

.footer-list-center {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-right: auto;
}

.footer-center-item {
  display: flex;
  flex-direction: column;
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
}

.footer-center-item:not(:last-child) {
  margin-bottom: 15px;
}

.footer-center-item address {
  font-style: normal;
  line-height: 30px;
}

.footer-social-icons {
  display: flex;
  flex-direction: column;
}

.social-link:not(:last-child) {
  margin-bottom: 20px;
}

.social-link svg {
  fill: var(--color-grey-light);
  transition: fill 0.3s ease-in-out, stroke 0.3s ease-in-out;
}

.social-link:focus svg,
.social-link:hover svg {
  fill: var(--color-yellow);
}

.social-link:active svg {
  fill: var(--color-yellow-dark);
}
